#include "cg4java_CgGLFuncJNI.h"

#include <CG/cgGL.h>

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLIsProfileSupported
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_cg4java_CgGLFuncJNI_cgGLIsProfileSupported
  (JNIEnv *, jobject, jint profile)
{
	return (jint)cgGLIsProfileSupported( (CGprofile)profile );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLEnableProfile
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLEnableProfile
  (JNIEnv *, jobject, jint profile)
{
	cgGLEnableProfile( (CGprofile)profile );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLDisableProfile
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLDisableProfile
  (JNIEnv *, jobject, jint profile)
{
	cgGLDisableProfile( (CGprofile)profile );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLGetLatestProfile
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetLatestProfile
  (JNIEnv *, jobject, jint profile)
{
	return (jint)cgGLGetLatestProfile( (CGGLenum)profile );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLSetOptimalOptions
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetOptimalOptions
  (JNIEnv *, jobject, jint profile)
{
	cgGLSetOptimalOptions( (CGprofile)profile );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLLoadProgram
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLLoadProgram
  (JNIEnv *, jobject, jint program)
{
	cgGLLoadProgram( (CGprogram)program );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLBindProgram
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLBindProgram
  (JNIEnv *, jobject, jint program)
{
	cgGLBindProgram( (CGprogram)program );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLSetParameter1f
 * Signature: (IF)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter1f
  (JNIEnv *, jobject, jint param, jfloat value1)
{
	cgGLSetParameter1f( (CGparameter)param, value1 );
}

/*
 * Class:     cgGLFuncJNI
 * Method:    cgGLSetParameter2f
 * Signature: (IFF)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter2f
  (JNIEnv *, jobject, jint param, jfloat value1, jfloat value2)
{
	cgGLSetParameter2f( (CGparameter)param, value1, value2 );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3f
 * Signature: (IFFF)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter3f
  (JNIEnv *, jobject, jint param, jfloat value1, jfloat value2, jfloat value3)
{
	cgGLSetParameter3f( (CGparameter)param, value1, value2, value3 );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4f
 * Signature: (IFFFF)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter4f
  (JNIEnv *, jobject, jint param, jfloat value1, jfloat value2, jfloat value3, jfloat value4)
{
	cgGLSetParameter4f( (CGparameter)param, value1, value2, value3, value4);
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter1v
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter1v
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLSetParameter1fv( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter2fv
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter2fv
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLSetParameter2fv( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3fv
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter3fv
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLSetParameter3fv( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}
/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4fv
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter4fv
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLSetParameter4fv( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter1f
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter1f
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLGetParameter1f( (CGparameter)param, (float*) env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter2f
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter2f
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLGetParameter2f( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3f
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter3f
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLGetParameter3f( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4f
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter4f
  (JNIEnv *env, jobject, jint param, jfloatArray array)
{
	cgGLGetParameter4f( (CGparameter)param, env->GetFloatArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter1d
 * Signature: (ID)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter1d
  (JNIEnv *, jobject, jint param, jdouble value1)
{
	cgGLSetParameter1d( (CGparameter)param, value1 );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter2d
 * Signature: (IDD)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter2d
  (JNIEnv *, jobject, jint param, jdouble value1, jdouble value2)
{
	cgGLSetParameter2d( (CGparameter)param, value1, value2 );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3d
 * Signature: (IDDD)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter3d
  (JNIEnv *, jobject, jint param, jdouble value1, jdouble value2, jdouble value3)
{
	cgGLSetParameter3d( (CGparameter)param, value1, value2, value3);
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4d
 * Signature: (IDDDD)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter4d
(JNIEnv *, jobject, jint param, jdouble value1, jdouble value2, jdouble value3, jdouble value4)
{
	cgGLSetParameter4d( (CGparameter)param, value1, value2, value3, value4);
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter1dv
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter1dv
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLSetParameter1dv( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter2dv
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter2dv
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLSetParameter2dv( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3dv
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter3dv
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLSetParameter3dv( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4dv
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameter4dv
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLSetParameter4dv( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter1d
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter1d
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLGetParameter1d( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter2d
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter2d
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLGetParameter2d( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter3d
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter3d
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLGetParameter3d( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameter4d
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameter4d
  (JNIEnv *env, jobject, jint param, jdoubleArray array)
{
	cgGLGetParameter4d( (CGparameter)param, env->GetDoubleArrayElements( array, 0 ) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray1f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray1f
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jfloatArray array)
{
	cgGLSetParameterArray1f( (CGparameter)param, offset, nelements, env->GetFloatArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray2f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray2f
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jfloatArray array)
{
	cgGLSetParameterArray2f( (CGparameter)param, offset, nelements, env->GetFloatArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray3f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray3f
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jfloatArray array)
{
	cgGLSetParameterArray3f( (CGparameter)param, offset, nelements, env->GetFloatArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray4f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray4f
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jfloatArray array)
{
	cgGLSetParameterArray4f( (CGparameter)param, offset, nelements, env->GetFloatArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray1d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray1d
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jdoubleArray array)
{
	cgGLSetParameterArray1d( (CGparameter)param, offset, nelements, env->GetDoubleArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray2d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray2d
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jdoubleArray array)
{
	cgGLSetParameterArray2d( (CGparameter)param, offset, nelements, env->GetDoubleArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray3d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray3d
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jdoubleArray array)
{
	cgGLSetParameterArray3d( (CGparameter)param, offset, nelements, env->GetDoubleArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterArray4d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterArray4d
  (JNIEnv *env, jobject, jint param, jlong offset, jlong nelements, jdoubleArray array)
{
	cgGLSetParameterArray4d( (CGparameter)param, offset, nelements, env->GetDoubleArrayElements(array, 0) );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray1f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray1f
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray2f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray2f
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray3f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray3f
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray4f
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray4f
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray1d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray1d
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray2d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray2d
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray3d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray3d
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetParameterArray4d
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetParameterArray4d
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetParameterPointer
 * Signature: (IIIII)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetParameterPointer
  (JNIEnv *, jobject, jint, jint, jint, jint, jint);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLEnableClientState
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLEnableClientState
  (JNIEnv *, jobject, jint param)
{
	cgGLEnableClientState( (CGparameter)param );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLDisableCLientState
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLDisableCLientState
  (JNIEnv *, jobject, jint param)
{
	cgGLDisableClientState( (CGparameter)param );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterdr
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterdr
  (JNIEnv *, jobject, jint, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterfr
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterfr
  (JNIEnv *, jobject, jint, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterdc
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterdc
  (JNIEnv *, jobject, jint, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterfc
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterfc
  (JNIEnv *, jobject, jint, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterdr
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterdr
  (JNIEnv *, jobject, jint, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterfr
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterfr
  (JNIEnv *, jobject, jint, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterdc
 * Signature: (I[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterdc
  (JNIEnv *, jobject, jint, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterfc
 * Signature: (I[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterfc
  (JNIEnv *, jobject, jint, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetStateMatrixParameter
 * Signature: (III)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetStateMatrixParameter
  (JNIEnv *, jobject, jint, jint, jint);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterArrayfc
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterArrayfc
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterArrayfr
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterArrayfr
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterArraydc
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterArraydc
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetMatrixParameterArraydr
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetMatrixParameterArraydr
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterArrayfc
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterArrayfc
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterArrayfr
 * Signature: (IJJ[F)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterArrayfr
  (JNIEnv *, jobject, jint, jlong, jlong, jfloatArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterArraydc
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterArraydc
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetMatrixParameterArraydr
 * Signature: (IJJ[D)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetMatrixParameterArraydr
  (JNIEnv *, jobject, jint, jlong, jlong, jdoubleArray);

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLSetTextureParameter
 * Signature: (II)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLSetTextureParameter
  (JNIEnv *, jobject, jint param, jint texobj)
{
	cgGLSetTextureParameter( (CGparameter)param, texobj );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetTextureParameter
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetTextureParameter
  (JNIEnv *, jobject, jint param)
{
	return cgGLGetTextureParameter( (CGparameter)param );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLEnableTextureParameter
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLEnableTextureParameter
  (JNIEnv *, jobject, jint param)
{
	cgGLEnableTextureParameter( (CGparameter)param );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLDisableTextureParameter
 * Signature: (I)V
 */
JNIEXPORT void JNICALL Java_cg4java_CgGLFuncJNI_cgGLDisableTextureParameter
  (JNIEnv *, jobject, jint param)
{
	cgGLDisableTextureParameter( (CGparameter)param );
}

/*
 * Class:     cg4java_CgGLFuncJNI
 * Method:    cgGLGetTextureEnum
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_cg4java_CgGLFuncJNI_cgGLGetTextureEnum
  (JNIEnv *, jobject, jint param)
{
	return (jint)cgGLGetTextureEnum( (CGparameter)param );
}



