package cg4java;

/*
 * Interface-Klasse fr die Funktionen der Cg OpenGL Runtime
 */
public interface CgGLFunc
{

  /*****************************************************************************/
  /*** Profile Functions                                                     ***/
  /*****************************************************************************/

  /*
   * CGGLDLL_API CGbool cgGLIsProfileSupported(CGprofile profile);
   */
  public int cgGLIsProfileSupported( int profile );

  /*
   * CGGLDLL_API void cgGLEnableProfile(CGprofile profile);
   */
  public void cgGLEnableProfile( int profile );

  /*
   * CGGLDLL_API void cgGLDisableProfile(CGprofile profile);
   */
  public void cgGLDisableProfile( int profile );

  /*
   * CGGLDLL_API CGprofile cgGLGetLatestProfile(CGGLenum profile_type);
   */
  public int cgGLGetLatestProfile( int profile_type );

  /*
   * CGGLDLL_API void cgGLSetOptimalOptions(CGprofile profile);
   */
  public void cgGLSetOptimalOptions( int profile );

  /*****************************************************************************/
  /*** Program Managment Functions                                           ***/
  /*****************************************************************************/

  /*
   * CGGLDLL_API void cgGLLoadProgram(CGprogram program);
   */
  public void cgGLLoadProgram( int program );

  /*
   * CGGLDLL_API void cgGLBindProgram(CGprogram program);
   */
  public void cgGLBindProgram( int program );

  /*****************************************************************************/
  /*** Parameter Managment Functions                                         ***/
  /*****************************************************************************/

  /*
   * CGGLDLL_API void cgGLSetParameter1f(CGparameter param,
   *                                     float x);
   */
  public void cgGLSetParameter1f( int param, float x );

  /*
   * CGGLDLL_API void cgGLSetParameter2f(CGparameter param,
   *                                     float x,
   *                                     float y);
   */
  public void cgGLSetParameter2f( int param,
                                  float x,
                                  float y );

  /*
   * CGGLDLL_API void cgGLSetParameter3f(CGparameter param,
   *                                     float x,
   *                                     float y,
   *                                     float z);
   */
  public void cgGLSetParameter3f( int param,
                                  float x,
                                  float y,
                                  float z );

  /*
   *  CGGLDLL_API void cgGLSetParameter4f(CGparameter param,
   *                                      float x,
   *                                      float y,
   *                                      float z,
   *                                      float w);
   */
  public void cgGLSetParameter4f( int param,
                                  float x,
                                  float y,
                                  float z,
                                  float w );

  /*
   * CGGLDLL_API void cgGLSetParameter1fv(CGparameter param, const float *v);
   */
  public void cgGLSetParameter1v( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter2fv(CGparameter param, const float *v);
   */
  public void cgGLSetParameter2fv( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter3fv(CGparameter param, const float *v);
   */
  public void cgGLSetParameter3fv( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter4fv(CGparameter param, const float *v);
   */
  public void cgGLSetParameter4fv( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter1f(CGparameter param, const float *v);
   */
  public void cgGLGetParameter1f( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter2f(CGparameter param, const float *v);
   */
  public void cgGLGetParameter2f( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter3f(CGparameter param, const float *v);
   */
  public void cgGLGetParameter3f( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter4f(CGparameter param, const float *v);
   */
  public void cgGLGetParameter4f( int param, float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter1d(CGparameter param,
   *                                     double x);
   */
  public void cgGLSetParameter1d( int param, double x );

  /*
   * CGGLDLL_API void cgGLSetParameter2d(CGparameter param,
   *                                     double x,
   *                                     double y);
   */
  public void cgGLSetParameter2d( int param,
                                  double x,
                                  double y );

  /*
   * CGGLDLL_API void cgGLSetParameter3d(CGparameter param,
   *                                     double x,
   *                                     double y,
   *                                     double z);
   */
  public void cgGLSetParameter3d( int param,
                                  double x,
                                  double y,
                                  double z );

  /*
   *  CGGLDLL_API void cgGLSetParameter4d(CGparameter param,
   *                                      double x,
   *                                      double y,
   *                                      double z,
   *                                      double w);
   */
  public void cgGLSetParameter4d( int param,
                                  double x,
                                  double y,
                                  double z,
                                  double w );

  /*
   * CGGLDLL_API void cgGLSetParameter1dv(CGparameter param, const double *v);
   */
  public void cgGLSetParameter1dv( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter2dv(CGparameter param, const double *v);
   */
  public void cgGLSetParameter2dv( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter3dv(CGparameter param, const double *v);
   */
  public void cgGLSetParameter3dv( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter4dv(CGparameter param, const double *v);
   */
  public void cgGLSetParameter4dv( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter1d(CGparameter param, const double *v);
   */
  public void cgGLGetParameter1d( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter2d(CGparameter param, const double *v);
   */
  public void cgGLGetParameter2d( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter3dv(CGparameter param, const double *v);
   */
  public void cgGLGetParameter3d( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameter4dv(CGparameter param, const double *v);
   */
  public void cgGLGetParameter4d( int param, double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray1f(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const float *v);
   */
  public void cgGLSetParameterArray1f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray2f(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const float *v);
   */
  public void cgGLSetParameterArray2f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray3f(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const float *v);
   */
  public void cgGLSetParameterArray3f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray4f(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const float *v);
   */
  public void cgGLSetParameterArray4f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray1d(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const double *v);
   */
  public void cgGLSetParameterArray1d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray2d(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const double *v);
   */
  public void cgGLSetParameterArray2d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray3d(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const double *v);
   */
  public void cgGLSetParameterArray3d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterArray4d(CGparameter param,
   *                                          long offset,
   *                                          long nelements,
   *                                          const double *v);
   */
  public void cgGLSetParameterArray4d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray1f( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           float * v );
   */
  public void cgGLGetParameterArray1f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray2f( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           float * v );
   */
  public void cgGLGetParameterArray2f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray3f( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           float * v );
   */
  public void cgGLGetParameterArray3f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray4f( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           float * v );
   */
  public void cgGLGetParameterArray4f( int param,
                                       long offset,
                                       long nelements,
                                       float[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray1d( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           double * v );
   */
  public void cgGLGetParameterArray1d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray2d( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           double * v );
   */
  public void cgGLGetParameterArray2d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray3d( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           double * v );
   */
  public void cgGLGetParameterArray3d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLGetParameterArray4d( CGparameter param,
   *                                           long offset,
   *                                           long nelements,
   *                                           double * v );
   */
  public void cgGLGetParameterArray4d( int param,
                                       long offset,
                                       long nelements,
                                       double[] v );

  /*
   * CGGLDLL_API void cgGLSetParameterPointer( CGparameter param,
   *                                           GLint fsize,
   *                                           GLenum type,
   *                                           GLsizei stride,
   *                                           GLvoid * pointer );
   */
  public void cgGLSetParameterPointer( int param,
                                       int fsize,
                                       int type,
                                       int stride,
                                       int pointer );

  /*
   * CGGLDLL_API void cgGLEnableClientState( CGparameter param );
   */
  public void cgGLEnableClientState( int param );

  /*
   * CGGLDLL_API void cgGLDisableClientState( CGparameter param );
   */
  public void cgGLDisableCLientState( int param );

  /*****************************************************************************/
  /*** Matrix Parameter Managment Functions                                  ***/
  /*****************************************************************************/

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterdr(CGparameter param, const double *matrix);
   */
  public void cgGLSetMatrixParameterdr( int param, double[] matrix );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterfr(CGparameter param, const float *matrix);
   */
  public void cgGLSetMatrixParameterfr( int param, float[] matrix );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterdc(CGparameter param, const double *matrix);
   */
  public void cgGLSetMatrixParameterdc( int param, double[] matrix );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterfc(CGparameter param, const float *matrix);
   */
  public void cgGLSetMatrixParameterfc( int param, float[] matrix );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterdr(CGparameter param, const double *matrix);
   */
  public void cgGLGetMatrixParameterdr( int param, double[] matrix );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterfr(CGparameter param, const float *matrix);
   */
  public void cgGLGetMatrixParameterfr( int param, float[] matrix );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterdc(CGparameter param, const double *matrix);
   */
  public void cgGLGetMatrixParameterdc( int param, double[] matrix );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterfc(CGparameter param, const float *matrix);
   */
  public void cgGLGetMatrixParameterfc( int param, float[] matrix );

  /*
   * CGGLDLL_API void cgGLSetStateMatrixParameter(CGparameter param,
   *                                              CGGLenum matrix,
   *                                              CGGLenum transform);
   */
  public void cgGLSetStateMatrixParameter( int param,
                                           int matrix,
                                           int transform );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterArrayfc( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const float * matrices );
   */
  public void cgGLSetMatrixParameterArrayfc( int param,
                                             long offset,
                                             long nelements,
                                             float[] matrices );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterArrayfr( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const float * matrices );
   */
  public void cgGLSetMatrixParameterArrayfr( int param,
                                             long offset,
                                             long nelements,
                                             float[] matrices );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterArraydc( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const double * matrices );
   */
  public void cgGLSetMatrixParameterArraydc( int param,
                                             long offset,
                                             long nelements,
                                             double[] matrices );

  /*
   * CGGLDLL_API void cgGLSetMatrixParameterArraydr( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const double * matrices );
   */
  public void cgGLSetMatrixParameterArraydr( int param,
                                             long offset,
                                             long nelements,
                                             double[] matrices );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterArrayfc( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const float * matrices );
   */
  public void cgGLGetMatrixParameterArrayfc( int param,
                                             long offset,
                                             long nelements,
                                             float[] matrices );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterArrayfr( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const float * matrices );
   */
  public void cgGLGetMatrixParameterArrayfr( int param,
                                             long offset,
                                             long nelements,
                                             float[] matrices );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterArraydc( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const double * matrices );
   */
  public void cgGLGetMatrixParameterArraydc( int param,
                                             long offset,
                                             long nelements,
                                             double[] matrices );

  /*
   * CGGLDLL_API void cgGLGetMatrixParameterArraydr( CGparameter param,
   *                                                 long offset,
   *                                                 long nelements,
   *                                                 const double * matrices );
   */
  public void cgGLGetMatrixParameterArraydr( int param,
                                             long offset,
                                             long nelements,
                                             double[] matrices );

  /*****************************************************************************/
  /*** Texture Parameter Managment Functions                                 ***/
  /*****************************************************************************/

  /*
   * CGGLDLL_API void cgGLSetTextureParameter(CGparameter param, GLuint texobj);
   */
  public void cgGLSetTextureParameter( int param, int texobj );

  /*
   * CGGLDLL_API GLuint cgGLGetTextureParameter(CGparameter param);
   */
  public int cgGLGetTextureParameter( int param );

  /*
   * CGGLDLL_API void cgGLEnableTextureParameter(CGparameter param);
   */
  public void cgGLEnableTextureParameter( int param );

  /*
   * CGGLDLL_API void cgGLDisableTextureParameter(CGparameter param);
   */
  public void cgGLDisableTextureParameter( int param );

  /*
   * CGGLDLL_API GLenum cgGLGetTextureEnum(CGparameter param);
   */
  public int cgGLGetTextureEnum( int param );

}
