package vsl.dataflow;

import java.awt.*;
import java.util.Vector;

import vsl.lang.DataValue;
import vsl.lang.DataType;


import org.w3c.dom.*;


public class DataFlowSourceAnchor extends DataFlowAnchor
{


  Vector edges;

  public DataFlowSourceAnchor( Element element, DataFlowNode node)
  {
    super( element, node );
    sourceAnchorInit();
  }

  public DataFlowSourceAnchor( String name, DataType type, DataFlowNode node )
  {
    super(name, type, node );
    sourceAnchorInit();
  }

  public DataFlowSourceAnchor( String name, DataType type, DataValue defaultValue, DataFlowNode node )
  {
    super(name, type, defaultValue, node );
    sourceAnchorInit();
  }

  public void sourceAnchorInit()
  {
    edges = new Vector();
  }

  // overrides default setLocation
  public void setLocation( Point p )
  {
    setLocation( p.x, p.y );
  }

  // overrides default setLocation
  public void setLocation( int x, int y )
  {
    super.setLocation( x, y );
    anchorPoint = new Point( getX() + getWidth(), getY() + getHeight() / 2 );
    if ( edges.size() > 0 )
    {
      for ( int i = 0; i < edges.size(); i++ )
      {
        ( ( DataFlowEdge ) edges.elementAt( i ) ).update();
      }
    }
    label.setLocation( getX() + getWidth() + 2, getY() + getHeight()/2 - label.getHeight() - 2 );
  }


  public void addEdge( DataFlowEdge edge )
  {
    edges.add( edge );
  }

  public void removeEdge( DataFlowEdge edge )
  {
    edges.remove( edge );
  }

  public Vector getEdges()
  {
    return edges;
  }

  public boolean isConnected()
  {
    if ( edges.size() > 0 )
    {
      return true;
    }
    else
    {
      return false;
    }
  }

  public int getAnchorType()
  {
    return DF_SOURCE_ANCHOR;
  }


}