package vsl.dataflow.util;

import java.util.*;

import vsl.dataflow.*;

/*
 * Klasse zur Speicherung von Anschlssen in einer Liste
 */
public class DataFlowAnchorList
{

  private HashMap hashMap;
  private Vector anchors;

  public DataFlowAnchorList()
  {
    anchors = new Vector();
    hashMap = new HashMap( 20 );
  }

  public DataFlowAnchorList( int anchorCount )
  {
    anchors = new Vector( anchorCount );
    if( anchorCount != 0 ) hashMap = new HashMap( anchorCount * 4 );
    else hashMap = new HashMap( 20 );
  }

  public void clear()
  {
    hashMap.clear();
    anchors.clear();
  }

  public int getAnchorCount()
  {
    return anchors.size();
  }

  public boolean containsAnchor( String name )
  {
    return hashMap.containsKey( name );
  }

  public DataFlowAnchor getAnchor( String name )
  {
    Object anchor = hashMap.get( name );
    if ( anchor == null )
    {
      return null;
    }
    else
    {
      return ( DataFlowAnchor ) anchor;
    }
  }

  public DataFlowAnchor getAnchor( int i )
  {
    return ( DataFlowAnchor ) anchors.elementAt( i );
  }

  public void setAnchor( int index, DataFlowAnchor anchor )
  {
    anchors.add( index, anchor );
    hashMap.put( anchor.getName(), anchor );
  }

  public void addAnchor( DataFlowAnchor anchor )
  {
    hashMap.put( anchor.getName(), anchor );
    anchors.add( anchor );
  }

}
