package vsl.dataflow.util;

import java.util.*;

import vsl.dataflow.*;

public class DataFlowNodeHashMap extends HashMap
{

  public DataFlowNodeHashMap()
  {
    super();
  }

  public DataFlowNodeHashMap( int initialCapacity )
  {
    super( initialCapacity );
  }

  public boolean containsNode( String name, String id )
  {
    boolean result = super.containsKey( name + id );
    return result;
  }

  public DataFlowNode getNode( String name, String id )
  {
    Object node = super.get( name + id );
    if ( node == null )
    {
      return null;
    }
    return ( DataFlowNode ) node;
  }

  public void putNode( DataFlowNode node )
  {
    String name = node.getName();
    String id = node.getId();
    super.put( name + id, node );
  }

  public void removeNode( DataFlowNode node )
  {
    String name = node.getName();
    String id = node.getId();
    super.remove( node.getName()+node.getId());
  }

  public DataFlowNode remove( String name, String id )
  {
    Object node = super.remove( name + id );
    if ( node == null )
    {
      return null;
    }
    return ( DataFlowNode ) node;
  }

  public DataFlowNodeIterator getIterator()
  {
    return new DataFlowNodeIterator( values().iterator() );
  }

  public ArrayList getSortedList()
  {
    ArrayList list = new ArrayList( values() );
    Collections.sort( list, new DataFlowDistanceComparator() );
    return list;
  }
}
