package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import vsl.lang.*;

/*
 * GUI-Element um einen Datenwert zu erzeugen.
 */
public class DataValuePanel extends JPanel implements ActionListener
{

  /*
   * Auswahl des Datentyps
   */
  DataTypeSelector dataTypeSelector;

  /*
   * Editor des Datenwerts
   */
  DataValueEditPanel editPanel;

  public DataValuePanel()
  {
    setLayout( new BorderLayout() );
    dataTypeSelector = new DataTypeSelector();
    dataTypeSelector.addActionListener( this );
    add( dataTypeSelector, BorderLayout.NORTH );
    editPanel = new DataValueEditPanel( dataTypeSelector.getDataType() );
    add( editPanel, BorderLayout.CENTER );
  }

  public void actionPerformed( ActionEvent e )
  {
    Object source = e.getSource();
    DataType type = dataTypeSelector.getDataType();
    editPanel.setType( type );
  }

  /*
   * Gibt den Datentyp zurck.
   */
  public DataType getType()
  {
    return dataTypeSelector.getDataType();
  }

  /*
   * Gibt den Datenwert zurck.
   */
  public DataValue getValue()
  {
    return editPanel.getValue();
  }

}