package vsl.gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import vsl.lang.*;


public class ProgramCreator extends JDialog implements ActionListener
{

  JLabel nameLabel;
  JTextField nameTextField;
  JComboBox inputStructComboBox;
  JComboBox outputStructComboBox;
  JButton createProgram;

  public final static int VERTEX_PROGRAM = 1;
  public final static int FRAGMENT_PROGRAM = 2;

  public final static int CANCEL = 0;
  public final static int OK = 1;

  public int result = CANCEL;

  public ProgramCreator( Frame owner, String title, boolean modal, int programType )
  {
    super( owner, title, modal );
    getContentPane().setLayout( new BorderLayout() );
    JPanel north = new JPanel();
    north.setLayout( new BorderLayout() );
    nameLabel = new JLabel( "Name: " );
    north.add(nameLabel, BorderLayout.WEST);
    nameTextField = new JTextField("program_name");
    north.add(nameTextField, BorderLayout.CENTER);
    getContentPane().add(north, BorderLayout.NORTH);
    createProgram = new JButton( "Create" );
    createProgram.addActionListener( this );
    getContentPane().add(createProgram, BorderLayout.SOUTH);

    JPanel center = new JPanel( new GridLayout( 2, 1 ) );

    switch ( programType )
    {
      case VERTEX_PROGRAM:

        inputStructComboBox = new JComboBox( Struct.getVertexIn() );
        outputStructComboBox = new JComboBox( Struct.getVertexOut() );
        break;
      case FRAGMENT_PROGRAM:
        inputStructComboBox = new JComboBox( Struct.getFragmentIn() );
        outputStructComboBox = new JComboBox( Struct.getFragmentOut() );
        break;
    }
    center.add( inputStructComboBox );
    center.add( outputStructComboBox );
    getContentPane().add( center );

    pack();
  }

  public String getName()
  {
    return nameTextField.getText();
  }

  public Struct getInputStruct()
  {
    return  (Struct) (inputStructComboBox.getSelectedItem() );
  }

  public Struct getOutputStruct()
  {
    return  (Struct) (outputStructComboBox.getSelectedItem() );
  }

  public int getResult()
  {
    return result;
  }

  public void reset()
  {
    result = CANCEL;
  }

  public void actionPerformed(ActionEvent e)
  {
    result = OK;
    hide();
  }

}