package vsl.gui.file;

import java.io.*;

import javax.swing.filechooser.FileFilter;


public class ExtensionFileFilter extends FileFilter
{

  String[] extensions;
  String description;

  public ExtensionFileFilter(String extension, String description)
  {
    extensions = new String[1];
    extensions[0] = extension;
    this.description = description;
  }

  public ExtensionFileFilter(String[] extensions, String description)
  {
    this.extensions = extensions;
    this.description = description;
  }

  public boolean accept( File f )
  {
    if ( f.isDirectory() )
    {
      return true;
    }
    String s = getExtension( f );
    if ( s != null )
    {
      for( int i = 0; i < extensions.length; i++)
      {
        if ( s.equals( extensions[i] ) )
        {
          return true;
        }
      }
    }
    return false;
  }

  public String getDescription()
  {
    return description;
  }

  public static String getExtension( File f )
  {
    String string = f.getName();
    String extension = null;

    int i = string.lastIndexOf( '.' );

    if ( i > 0 && i < string.length() - 1 )
    {
      extension = string.substring( i + 1 ).toLowerCase();
    }
    return extension;
  }


}